--     ____                _       __               
--    / __ )____  _____   | |     / /___ ___________
--   / __  / __ \/ ___/   | | /| / / __ `/ ___/ ___/
--  / /_/ / /_/ (__  )    | |/ |/ / /_/ / /  (__  ) 
-- /_____/\____/____/     |__/|__/\__,_/_/  /____/  
--                                              
--       A futuristic real-time strategy game.
--          This file is part of Bos Wars.
--
--	unit-bubus.lua	-	Define the bubus units.
--
--	(c) Copyright 2005 by Los Taulelle, Graphics by TimberDragon.
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--
--	$Id: unit-bubus.lua 85 2007-12-13 22:15pm rg $

-- Define, Animation and Construction for all bubus

DefineAnimations("animations-bubus", {
	Still = {"frame 0", "wait 1", },
})

DefineConstruction("construction-bubus", {
	Constructions = {
		{Percent = 0, File = "main", Frame = 0},
	}
})

-- bubu-1

DefineUnitType("unit-bubu-1", {
    Name = "bubu-1",
    Image = {"file", "units/bubus/bubu_1.png", "size", {80, 80}},
    Offset = {0, -20},
    Shadow = {"file", "units/bubus/bubu_1s.png", "size", {80, 80}},
    Animations = "animations-bubus",
    Icon = "icon-bubu-1",
    Construction = "construction-bubus",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-bubu-1",
    Size = {46, 38},
    Frame = 0,
    File = "units/bubus/bubu_1i.png"})

DefineAllow("unit-bubu-1", AllowAll)

-- bubu-2

DefineUnitType("unit-bubu-2", {
    Name = "bubu-2",
    Image = {"file", "units/bubus/bubu_2.png", "size", {80, 80}},
    Offset = {0, -24},
    Shadow = {"file", "units/bubus/bubu_2s.png", "size", {80, 80}},
    Animations = "animations-bubus",
    Icon = "icon-bubu-2",
    Construction = "construction-bubus",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-bubu-2",
    Size = {46, 38},
    Frame = 0,
    File = "units/bubus/bubu_2i.png"})

DefineAllow("unit-bubu-2", AllowAll)

-- bubu-3

DefineUnitType("unit-bubu-3", {
    Name = "bubu-3",
    Image = {"file", "units/bubus/bubu_3.png", "size", {80, 80}},
    Offset = {0, -20},
    Shadow = {"file", "units/bubus/bubu_3s.png", "size", {80, 80}},
    Animations = "animations-bubus",
    Icon = "icon-bubu-3",
    Construction = "construction-bubus",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-bubu-3",
    Size = {46, 38},
    Frame = 0,
    File = "units/bubus/bubu_3i.png"})

DefineAllow("unit-bubu-3", AllowAll)

-- bubu-4

DefineUnitType("unit-bubu-4", {
    Name = "bubu-4",
    Image = {"file", "units/bubus/bubu_4.png", "size", {80, 80}},
    Offset = {0, -24},
    Shadow = {"file", "units/bubus/bubu_4s.png", "size", {80, 80}},
    Animations = "animations-bubus",
    Icon = "icon-bubu-4",
    Construction = "construction-bubus",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-bubu-4",
    Size = {46, 38},
    Frame = 0,
    File = "units/bubus/bubu_4i.png"})

DefineAllow("unit-bubu-4", AllowAll)